KDEINIT5(8)

NOM
kdeinit5 - Lanceur pour les applications développées avec la prise en charge de « kdeinit » et pour les processus fils « KIO ».

SYNOPSIS

kdeinit5 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programmes] | [programmes]]

DESCRIPTION

kdeinit5 est un lanceur de processus, un peu similaire d'une certaine manière à la célèbre commande init utilisée pour démarrer UNIX. Elle exécute les programmes KDE et les modules chargeables (KLM) et leur permet de démarrer de manière plus efficace.

L'utilisation de « kdeinit5 » pour lancer les applications KDE rend le démarrage d'une application standard de KDE beaucoup plus rapide et réduit la consommation de mémoire vive de manière substantielle.

« kdeinit5 » est lié à toutes les bibliothèques dont une application KDE standard a besoin. Grâce à cette technique, le démarrage d'une application devient beaucoup rapide car seule l'application elle-même a besoin d'être liée. Dans le cas contraire, l'application et les bibliothèques qu'elle utilise doivent être liées.

DÉSAVANTAGES

Le nom du processus des applications démarrées via « kdeinit5 » est « kdeinit5 ». Ce problème peut être corrigé à un certain degré en modifiant le nom de l'application comme il est affiché par ps. Toutefois, les applications comme killall ne verront que « kdeinit5 » comme nom de processus. Pour contourner ce problème, utilisez kdekillall (de kdesdk/scripts) pour les applications démarrées via « kdeinit5 ».

OPTIONS

--help
    Affiches l'aide à propos des options

--no-fork
    Ne pas bifurquer (forker), c'est-à-dire ne pas quitter avant que tous les programmes exécutés soient terminés.

--no-kded
    Ne pas démarrer kded

--suicide
    Terminer lorsque plus aucune application KDE n'est en fonctionnement.

+programs
    lance les requêtes de gestion des programmes

programs
    lance les programmes sans gérer les requêtes

UTILISATION

Une manière standard de lancer ce programme est de simplement spécifier la commande suivante sur une invite de commandes : « kdeinit5 » programme ou kdeinit5 +programme

FICHIERS

/tmp/kde-$USER/kdeinit5_$INSTANCE
    ...

VARIABLES DENVIRONNEMENT

$HOME
    Spécifié le dossier personnel de l'utilisateur actuel

$KDE_HOME_READONLY
    Spécifie si le dossier personnel de l'utilisateur actuel est en lecture seule

$KDE_IS_PRELINKED
    Si défini, indique à « kdeinit5 » que les programmes KDE sont pré liés.

    (La pré liaison est un processus qui vous permet d'accélérer le processus de liaison dynamique).

$KDE_DISPLAY
    Si défini, indique à « kdeinit5 » qu'il s'exécute sur un bureau KDE.

VOIR AUSSI

kded5, kdekillall

BOGUES

Veuillez utiliserle traqueur de bogues de KDE[1] pour signaler les bogues.

AUTEURS

Waldo Bastian <bastian@kde.org>
    Auteur.

Mario Weilguni <mweilguni@sime.com>
    Auteur.

Lubos Lunak <l.lunak@kde.org>
    Auteur.

NOTES

1.  le traqueur de bogues de KDE
    http://bugs.kde.org